# Command: MemberQ

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    MemberQ - checks if array contains a specific element

Synopsis:

      array any MemberQ -> true
      -> false

Examples:

      [3 8 2 9 -1] 2 MemberQ --> true
      [3 8 9 -1]   2 MemberQ --> false

Remarks:

    The Mathematica implementation is much more general

References:

      [1] The Mathematica Book "MemberQ"

Author:

    Diesmann

FirstVersion:

    10.5.2001

SeeAlso:

- LiteralQ
- NumberQ
- ArrayQ
- MatrixQ
- HasDifferentMemberQ

Source:

    /opt/conda/conda-bld/nest_1524088722951/work/nest-2.14.0/lib/sli/mathematica.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative